Skip to content
Last updated

Verify that a source's credentials and configuration are valid.

POSThttps://api.aitronos.com/v1/organizations/{organization_id}/knowledge/connectors/sources/test

Tests the connectivity of a source configuration. Can test an existing source by ID or a new configuration inline.

Path Parameters

organization_id string required

The unique identifier of the organization (format: org_*).

Request Body

source_id string optional

Test an existing source by its ID.

source_definition_id string optional

Source definition to use for inline testing.

workspace_id string optional

Workspace context for inline testing.

configuration object optional

Configuration to test (for inline testing).

name string optional

Source name (for inline testing).


Returns

A test result object with status (e.g., succeeded, failed) and optional job_info.

cURL
curl -X POST "https://api.aitronos.com/v1/organizations/org_xyz789/knowledge/connectors/sources/test" \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"source_id": "src_abc123"}'